Package com.microsoft.sqlserver.jdbc.osgi

# Class Activator

java.lang.Object
com.microsoft.sqlserver.jdbc.osgi.Activator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class Activator extends Object implements org.osgi.framework.BundleActivator
Allows plugins to register the driver as an OSGI Framework service.

## Constructor Summary

Constructors
Constructor
Description
`Activator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`start​(org.osgi.framework.BundleContext context)`
`void`
`stop​(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Activator

public Activator()

## Method Details

### start

public void start​(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

### stop

public void stop​(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`